PHONY: clean dev lint test build publish

clean:
	rm -rf build/ dist/ homehub_backend-egg-info/

dev:

lint:
	flake8

test:
	pytest -v --disable-warnings

build: clean
	python setup.py build sdist bdist_wheel

publish:
	twine upload --repository pypi-hosted.nexus.bthlabs.pl --skip-existing dist/*
